View clipping issue...
-
I had a problem and then I managed to fix it and so I thought I'd share it here.
I've been working on a model for the past two weeks when this evening, all of a sudden, I couldn't zoom in parts of my model, more particularly from an "above" angle. I looked up the problem and tried all kinds of solutions to no result.
- Zoom Extents
- Turning perspective off
- Purge unused
- Changing field of view
- My model wasn't oversized or far from the origin.
And a few others I don't recall this moment, but nothing worked. I checked and it wasn't doing it in other windows.
Looking around I found this was a common recurring problem, but none of the fixes offered up worked.
Finally I looked around my workspace and saw a guideline way, WAY off in the distance. I can't for the life of me figure out how that got there, but as soon as I deleted it my problem disappeared and everything went back to normal.
I just thought I'd share this with folks.
-
Far away objects are one reason for clipping, see the help for more...
-
@warped9 said:
- My model wasn't ... far from the origin.
if you have any components in the model... did you check them too?
-
@cotty said:
Far away objects are one reason for clipping, see the help for more...
Yes, thats the first page I looked out and tried all of those. Nothing worked. When you select Zoom Extents and show all hidden geometry it doesn't reveal guidelines. I had to physically look around to see that errant guideline way off over the horizon, so to speak.
-
Of course just Clearing the Guides would have fixed it...
I fixed another guys issue with a corrupted SKP... he'd managed to get a line that had an end was so far away from the origin nothing showed at all.
By usingSketchup.active_model.bounds.max
andSketchup.active_model.bounds.min
it became clear that his model was actually several zillion times bigger that the visible universe
This is fixable by 'filtering'Sketchup.active_model.active_entities.grep(Sketchup::Edge).find_all{|e| ### }
- tests for extreme bounds/lengths and then if there are only one or two erase! them to get back to sanity... -
@tig said:
Of course just Clearing the Guides would have fixed it...
I fixed another guys issue with a corrupted SKP... he'd managed to get a line that had an end was so far away from the origin nothing showed at all.
By usingSketchup.active_model.bounds.max
andSketchup.active_model.bounds.min
it became clear that his model was actually several zillion times bigger that the visible universe
This is fixable by 'filtering'Sketchup.active_model.active_entities.grep(Sketchup::Edge).find_all{|e| ### }
- tests for extreme bounds/lengths and then if there are only one or two erase! them to get back to sanity...Having the same issue.
Cleared guides, moved model to center on origin and drilled into all my groups that looked larger than they should to clear out all the hidden mess there.How do you run those scripts to find out?
-
I tried pasting them into the Ruby console and got this...
-
In my old code example the
###
will break things because the final}
is then ignored.
The###
is a "place-holder" it's where you add some more code of your own, to analyze the returned edges... e.g.e.length>12000
It wasn't meant to be a 'solution' !
There is a link to some ideas in a Cotty's post before it...In the first part of the code that worked you show that that model's bounds have something[s] ~10 miles from the origin...
Switch everything ON [layers and hidden-geom] then select all, then exclude the visible model from that selection using a fence and Ctrl+Shift, Entity Info might report some things still selected far away - if so delete them.
Alternatively select just what you can see and copy it to the clipboard - then paste it into a new empty model and see if that helps... -
If nothing else works you could try to run this in the Ruby console:
Sketchup.send_action 10624
A bit down from the middle there is Near, Far and Force That lets you set the clipping planes manually.
Beware that this is not an "official" Camera settings panel so be sure to make a backup if you use it.
Also you may have to run it again to uncheck/reset this Force clipping planes after.
Advertisement